typedef int __s32;
typedef unsigned int __u32;

#define PARTITION_MAGIC 0x12349876

typedef struct _partition_header {
	__u32   dwMagic;		/* MAGIC CODE */
	__s32   nCount;			/* PARTITION (OneNAND + MOVINAND) */
	
	/* PIT Option. */
	__s32   dummy[5];
} __attribute__((packed)) partition_header;

typedef struct _partition_info {
	__s32   nBinType;		/* BINARY_TYPE_ (AP or CP?) */
	__s32   nDevType;		/* PARTITION_DEV_TYPE_ */
	__s32   nID;			/* PARTITION ID */
	__s32   nAttribute;		/* PARTITION_ATTR_ */
	__s32   nUpdateAttr;		/* PARTITION_UPDATE_ATTR_ */
	__u32   dwBlkSize;		/* BLOCK SIZE (units of KB) */
	__u32   dwBlkLen;		/* BLOCK LENGTH */
	__u32   dwOffset;		/* FILE OFFSET (in TAR) */
	__u32   dwFileSize;		/* FILE SIZE */
	char    szName[32];		/* PARTITION NAME */
	char    szFileName[32];		/* FILE NAME */
	char    szDeltaName[32];	/* DELTA FILE NAME FOR BOOTLOADER FOTA */
} __attribute__((packed)) partition_info;

